alter database pubs set trustworthy on
go

use pubs
go

-- drop function geocode
-- drop assembly ser
-- drop assembly geocode

create assembly geocode from 'C:\temp\MappointGeocoder.dll'
with permission_set = external_access
go

create assembly ser from 'C:\temp\MappointGeocoder.XmlSerializers.dll'
go

create function dbo.geocode (@address nvarchar(4000))
returns nvarchar(100)
as
external name geocode.[Spatial.MpGeocoder].Geocode
go

select dbo.geocode('75 Woodland Park
Hartford, CT 06112');
go


create function GeocodePoint(@address varchar(100))
returns geography
as
begin
declare @g geography;
select @g = geography::STPointFromText(dbo.Geocode(@address), 0);
return @g
end
go

select dbo.GeocodePoint('One Microsoft Way, Redmond WA 98052').ToString();
go

drop function geocode
drop assembly ser
drop assembly geocode
drop function GeocodePoint