
create assembly geographyvalidator from 'c:\temp\geographyvalidator.dll';
go
alter assembly geographyvalidator add file from 'c:\temp\geographyvalidator.pdb'; 
go

create function GeographyFromAnyWKT(@str nvarchar(max), @srid int)
returns geography
with returns null on null input
as external name geographyvalidator.UserDefinedFunctions.GeographyFromAnyWKT;
go

-- good one
declare @g1 geography = 'POLYGON ((0 0, 10 0, 10 10, 0 10, 0 0))'

select dbo.GeographyFromAnyWKT('POLYGON ((0 0, 10 0, 10 10, 0 10, 0 0))', 4326).ToString() -- good one

-- bad one
declare @g2 geography = 'POLYGON ((0 0, 0 10, 10 10, 10 0, 0 0))'

select dbo.GeographyFromAnyWKT('POLYGON ((0 0, 0 10, 10 10, 10 0, 0 0))', 4326).ToString() -- bad one
go

drop function GeographyFromAnyWKT
drop assembly geographyvalidator
go